function zdot = level4(s, z)
% LEVEL4 generates the right-hand side of 
%        the differential equation for the 1-lines of 
%        f(z) = 1 + z + z^2/2! + ... + z^n/n!

global n

zc = z(1) + i*z(2);  t = 1;  f0 = 0; f = t;
for k = 1: n, t = t*zc/k; f0 = f;  f = f + t; end;
q = f/f0; zdot = [-imag(q); real(q)]/abs(q);

